# Update a Dot Phrase

```
PATCH 
/dot-phrases/:id
```

Update a Dot Phrase.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

The updated Dot Phrase.

## Operation spec

```json
{
  "method": "patch",
  "path": "/dot-phrases/{id}",
  "operationId": "update-user-dot-phrase",
  "parameters": [
    {
      "name": "id",
      "description": "The unique identifier of the Dot Phrase.",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "format": "uuid",
        "description": "A unique identifier.",
        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
        "title": "uuid"
      },
      "example": "23A9981B-9E46-4ADB-BB0B-8E406C624540"
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "description": "Only provide the fields you want to patch.",
          "x-patch-properties": [
            "title",
            "trigger",
            "replacement",
            "content_auto_update_enabled"
          ],
          "properties": {
            "title": {
              "type": "string",
              "description": "A user-friendly title for the Dot Phrase. Does not impact the matching logic.",
              "example": "Normal physical exam"
            },
            "trigger": {
              "type": "string",
              "description": "The text which, if present in the transcript, will prompt the suggestion of this Dot Phrase.",
              "example": "Your physical exam is normal"
            },
            "content_auto_update_enabled": {
              "type": "boolean",
              "description": "If true, whenever this dot phrase is suggested, the replacement text will be automatically updated based on the encounter discussion.",
              "example": false
            },
            "replacement": {
              "type": "string",
              "description": "The replacement text for this Dot Phrase. If the Dot Phrase's trigger is detected, this text will be suggested in the note generation's response.",
              "example": "- Heart Examination: Normal, with regular rate and rhythm, no murmurs. - Lung Assessment: Normal breath sounds, no wheezes, crackles, or rhonchi. - Abdominal Evaluation: Normal, no tenderness, masses, or hepatosplenomegaly."
            }
          }
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "The updated Dot Phrase.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "description": "Dot phrase, also referred to as EHR (Electronic Health Record) macro, is a concise abbreviation (`trigger`) that unfolds into a predefined, extended text (`replacement`).",
            "properties": {
              "id": {
                "type": "string",
                "format": "uuid",
                "description": "Unique identifier of the Dot Phrase."
              },
              "title": {
                "type": "string",
                "description": "A user-friendly title for the Dot Phrase. Does not impact the matching logic.",
                "example": "Normal physical exam"
              },
              "trigger": {
                "type": "string",
                "description": "The text which, if present in the transcript, will prompt the suggestion of this Dot Phrase.",
                "example": "Your physical exam is normal"
              },
              "content_auto_update_enabled": {
                "type": "boolean",
                "description": "If true, whenever this dot phrase is suggested, the replacement text will be automatically updated based on the encounter discussion.",
                "example": false
              },
              "replacement": {
                "type": "string",
                "description": "The replacement text for this Dot Phrase. If the Dot Phrase's trigger is detected, this text will be suggested in the note generation's response.",
                "example": "- Heart Examination: Normal, with regular rate and rhythm, no murmurs. - Lung Assessment: Normal breath sounds, no wheezes, crackles, or rhonchi. - Abdominal Evaluation: Normal, no tenderness, masses, or hepatosplenomegaly."
              }
            },
            "required": [
              "id",
              "title",
              "trigger",
              "content_auto_update_enabled",
              "replacement"
            ],
            "title": "dot_phrase"
          }
        }
      }
    }
  }
}
```
